Reshaping of Vectors and Matrices
Base Module

## Functions

template<class T >
Vec< T > | itpp::reverse (const Vec< T > &in)
| Reverse the input vector.
template<class T >
Vec< T > | itpp::rvectorize (const Mat< T > &m)
| Row vectorize the matrix [(0,0) (0,1) ... (N-1,N-2) (N-1,N-1)].
template<class T >
Vec< T > | itpp::cvectorize (const Mat< T > &m)
| Column vectorize the matrix [(0,0) (1,0) ... (N-2,N-1) (N-1,N-1)].
template<class T >
Mat< T > | itpp::reshape (const Mat< T > &m, int rows, int cols)
| Reshape the matrix into an rows*cols matrix.
template<class T >
Mat< T > | itpp::reshape (const Vec< T > &v, int rows, int cols)
| Reshape the vector into an rows*cols matrix.

## Detailed Description

## Function Documentation

## reverse()

template<class T >

Vec< T > itpp::reverse | ( | const Vec< T > & | in | ) |

Reverse the input vector.

Definition at line 777 of file matfunc.h.

References itpp::Array< T >::length().

Referenced by itpp::chebwin(), itpp::CRC_Code::check_parity(), itpp::Convolutional_Code::distance_profile(), itpp::Punctured_Convolutional_Code::distance_profile(), itpp::Convolutional_Code::fast(), itpp::Punctured_Convolutional_Code::fast(), itpp::filter_design_autocorrelation(), itpp::IFFT_Fading_Generator::generate_Jakes(), itpp::graycode(), itpp::Modulator_NCD::init_soft_demodulator(), itpp::Modulator_NRD::init_soft_demodulator(), itpp::FIR_Fading_Generator::Jakes_filter(), itpp::modified_yule_walker(), and itpp::CRC_Code::parity().

## rvectorize()

template<class T >

Vec< T > itpp::rvectorize | ( | const Mat< T > & | m | ) |

Row vectorize the matrix [(0,0) (0,1) ... (N-1,N-2) (N-1,N-1)].

Definition at line 789 of file matfunc.h.

## cvectorize()

template<class T >

Vec< T > itpp::cvectorize | ( | const Mat< T > & | m | ) |

Column vectorize the matrix [(0,0) (1,0) ... (N-2,N-1) (N-1,N-1)].

Definition at line 803 of file matfunc.h.

## reshape() [1/2]

template<class T >

Mat< T > itpp::reshape | ( | const Mat< T > & | m,
|  | int | rows,
|  | int | cols
| ) |  |

Reshape the matrix into an rows*cols matrix.

The data is taken columnwise from the original matrix and written columnwise into the new matrix.

Definition at line 822 of file matfunc.h.

References it_assert_debug.

Referenced by fpica().

## reshape() [2/2]

template<class T >

Mat< T > itpp::reshape | ( | const Vec< T > & | v,
|  | int | rows,
|  | int | cols
| ) |  |

Reshape the vector into an rows*cols matrix.

The data is element by element from the vector and written columnwise into the new matrix.

Definition at line 846 of file matfunc.h.

References it_assert_debug, and itpp::Array< T >::size().

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8